package com.usky.dxtop.controller.web.business;


import com.usky.dxtop.common.annotation.RepeatSubmit;
import com.usky.dxtop.common.constant.UserConstants;
import com.usky.dxtop.common.core.domain.ApiResult;
import com.usky.dxtop.common.core.page.CommonPage;
import com.usky.dxtop.common.exception.CustomException;
import com.usky.dxtop.model.Company;
import com.usky.dxtop.model.ProductType;
import com.usky.dxtop.service.CompanyService;
import com.usky.dxtop.service.ProductTypeService;
import org.apache.commons.math3.stat.descriptive.summary.Product;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;

/**
 * 商品类型
 *
 * @author yq
 * @since 2022-07-05
 */
@RestController
@RequestMapping("/productType")
public class ProductTypeController {


    @Autowired
    private ProductTypeService productTypeService;

    /**
     * 新增记录
     * @param productType
     * @return
     */
    @RepeatSubmit
    @PostMapping
    public ApiResult<Void> add(@RequestBody ProductType productType){
        productTypeService.add(productType);
        return ApiResult.success();
    }

    /**
     * 修改记录
     */
    @PutMapping
    public ApiResult edit(@RequestBody ProductType productType)
    {
        return ApiResult.success(productTypeService.update(productType));
    }

    /**
     * 记录查询
     * @param current 页数
     * @param size 条数
     * @param name 名称
     * @param isTake 是否生效
     * @return
     */
    @GetMapping("/list")
    public ApiResult<CommonPage<ProductType>> list(@RequestParam Integer current,
                                               @RequestParam Integer size,
                                               @RequestParam(required = false) String name,
                                               @RequestParam(required = false) Boolean isTake)
    {

        return ApiResult.success(productTypeService.list(current, size, name,isTake));
    }

}

