package com.usky.dxtop.service.emun;

/**
 * @author yq
 * @date 2022/7/6 10:25
 */
public enum  ProductOrderStatus {

    NO_PAY(0,"待扣费"),

    TAKE(1,"生效中,待开启权限"),

    DISH_ERROR(2,"扣费失败"),

    RUN(3,"进行中"),

    SET_PERMISSION_ERROR(4,"开权限失败"),

    DEL_PERMISSION_ERROR(5,"关权限失败"),

    RETURN_ORDER(6,"退订"),

    RETURN_SUCCESS(7,"退订完成"),

    SUCCESS(8,"完成");

    private Integer code;

    private String name;

    ProductOrderStatus(Integer code,String name){
        this.code = code;
        this.name = name;
    }

    public static ProductOrderStatus parse(Integer code){
        ProductOrderStatus productOrderStatus = null;
        for (ProductOrderStatus o:ProductOrderStatus.values()) {
            if (o.getCode().equals(code)){
                productOrderStatus = o;
                break;
            }
        }
        return productOrderStatus;
    }


    public Integer getCode(){
        return code;
    }

    public String getName(){
        return name;
    }
}
